<?php

namespace App\Http\Requests\Recruitment;

use Illuminate\Foundation\Http\FormRequest;

class ApplyRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        return [
            'full_name' => 'required',
            'phone' => 'required',
            'email' => 'required',
            'file' => 'required',
            'country' => 'required',
            'has_visa_permit' => 'required',
            'has_skill_assessed' => 'required',
            'entered_captcha_code' => ['required','same:displayed_captcha_code']
        ];
    }
    public function messages()
    {
        return [
            'full_name.required' => 'Full name is required.',
            'phone.required' => 'Phone number is required.',
            'email.required' => 'Email is required.',
            'file.required' => 'Please upload your resume.',
            'country.required' => 'Please select your country.',
            'has_visa_permit.required' => 'Please specify your visa permit position.',
            'has_skill_assesed.required' => 'Please specify your TRA skill assessment.',
            'entered_captcha_code.required' => 'Please enter captcha.',
            'entered_captcha_code.same' => 'Captcha is incorrect.'
        ];
    }
}
